   
   export default class DocuParser {
       // 组装table里面的数据项，在beforeStart之前一定要调用
       static processDocu(docuList) {

           return docuList.map(item => {
               return `${item.currEnName}|${item.ExgRatMaxPermitChgPct1}|${item.ExgRatMaxPermitChgPct2}`

           }).join(';')
       }
      
       static initDocu(arr) {
          // 解析table里面的数据项，在loadData之后一定要调用
           let docuList = [];
           if (arr) {
               docuList = arr.split(';').map(item => {
                   let tmpItem = item.split('|');
                   return {
                       docuNo: new Date().getTime() + '',
                       // currCode2: "",
                       // currCode: "",-
                       currEnName: tmpItem[0],
                       // currCnName: "",
                       // decimalBit: "",
                       // unit: "",
                       ExgRatMaxPermitChgPct1: tmpItem[1],
                       ExgRatMaxPermitChgPct2: tmpItem[2]
                   };
               })
           }
           return docuList;
       };

   }